#ifndef zori_longtext_H_INCLUDED
#define zori_longtext_H_INCLUDED

#include "zori.h"

#define ZORI_WIDGET_TYPE_LONGTEXT ZORI_WIDGET_TYPE('z','l','t','x')

struct zori_longtext {
  struct zori_widget widget;
  int                align;
  zori_string      * caption;
  zori_string      * text;
  
  int line_start, line_stop, line_pos; /* Current text "window". */
  int line_max, line_height;           /* text constants. */
  int page_lines;                      
  /* Text "window" size for one "page" of text in amount of lines. */
  int paused;
  double delay;
  double delay_total;
};
 

#include "zori_longtext_proto.h" 
 

#endif

